CreateSurfaceFeedback
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.A2UI.CreateSurfaceFeedback(ctx, operations.C1APIA2uiV1A2UIServiceCreateSurfaceFeedbackRequest{
SurfaceID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.A2UIServiceCreateSurfaceFeedbackResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.a2Ui.createSurfaceFeedback({
surfaceId: "<id>",
});
console.log(result);
}
run();curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/a2ui/surfaces/{surface_id}/feedback \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"conversationId": "<string>",
"text": "<string>"
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/a2ui/surfaces/{surface_id}/feedback"
payload = {
"conversationId": "<string>",
"text": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({conversationId: '<string>', text: '<string>'})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/a2ui/surfaces/{surface_id}/feedback', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"feedback": {
"actionName": "<string>",
"componentsSnapshot": "<string>",
"conversationId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"dataModelSnapshot": "<string>",
"id": "<string>",
"schemaVersion": "<string>",
"surfaceId": "<string>",
"text": "<string>"
}
}A 2 UI
Create Surface Feedback
CreateSurfaceFeedback submits feedback for a surface with a snapshot.
POST
/
api
/
v1
/
a2ui
/
surfaces
/
{surface_id}
/
feedback
CreateSurfaceFeedback
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.A2UI.CreateSurfaceFeedback(ctx, operations.C1APIA2uiV1A2UIServiceCreateSurfaceFeedbackRequest{
SurfaceID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.A2UIServiceCreateSurfaceFeedbackResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.a2Ui.createSurfaceFeedback({
surfaceId: "<id>",
});
console.log(result);
}
run();Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
The surfaceId field.
Body
application/json
A2UIServiceCreateSurfaceFeedbackRequest creates feedback for a surface.
Response
200 - application/json
A2UIServiceCreateSurfaceFeedbackResponse returns the created feedback.
A2UIServiceCreateSurfaceFeedbackResponse returns the created feedback.
A2UISurfaceFeedback represents user feedback for a surface.
Show child attributes
Show child attributes
Was this page helpful?
⌘I